Skip to content

Library Account API

The Library Account API delivers general information about an account including available formats, OverDrive Advantage collections, and a products hypermedia link that returns all titles in their collection.

Note: The examples below show our production API URL. If you're using our integration environment, use https://integration.api.overdrive.com or https://integration-patron.api.overdrive.com.

To access the Library Account API, you'll need to know your library ID. If you don't know your library ID, contact support.

Accessing the Library Account API

The Library Account API serves as the starting point for most API clients to discover additional resources for a library or school account using hypermedia.

Resource URL

https://api.overdrive.com/v1/libraries/{Library ID}

Available endpoint actions

Using GET requests, you can use the Library Account API to see information about:

  • A specific library or school account (such as formats offered and enabled platforms).
  • The Advantage accounts associated with a library or school account. Advantage collections can purchase titles and copies in addition to the consortium titles.
  • The curated lists created by a library or school account. A curated list is a hand-picked list of titles with a theme.
  • Whether a library or school has an active Kanopy subscription.

Example request

GET https://api.overdrive.com/v1/libraries/4425
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.com

Example response

200 OK 
Date: Fri, 26 Apr 2024 17:43:00 GMT
X-Content-Type-Options: nosniff
Strict-Transport-Security: max-age=31536000; includeSubDomains
Content-Length: 1252
Content-Type: application/json; charset=utf-8
             
{
	"id": 4425,
	"name": "OverDrive API Integration Library (OH)",
	"type": "Library",
	"collectionToken": "v1L1BBQ0AAA2_",
	"links": {
		"self": {
			"href": "https://api.overdrive.com/v1/libraries/4425",
			"type": "application/vnd.overdrive.api+json"
		},
		"products": {
			"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products",
			"type": "application/vnd.overdrive.api+json"
		},
		"advantageAccounts": {
			"href": "https://api.overdrive.com/v1/libraries/4425/advantageAccounts",
			"type": "application/vnd.overdrive.api+json"
		},
		"dlrHomepage": {
			"href": "https://link.overdrive.com/?websiteID=100300",
			"type": "text/html"
		},
		"lists": {
			"href": "https://api.overdrive.com/v1/libraries/4425/lists",
			"type": "application/vnd.overdrive.api+json"
		}
	},
	"formats": [
		{
			"id": "ebook-mediado",
			"name": "MediaDo eBook"
		},
		{
			"id": "magazine-overdrive",
			"name": "OverDrive Magazine"
		},
		{
			"id": "ebook-kindle",
			"name": "Kindle Book"
		},
		{
			"id": "ebook-overdrive",
			"name": "OverDrive Read"
		},
		{
			"id": "audiobook-overdrive",
			"name": "OverDrive Listen"
		}
	],
	"enabledPlatforms": [
		"lightning",
		"libby"
	]
}

This response includes:

  • The library or school's name and account type.
  • The collection token, which is used in other API calls (in the URL) to specify which library or school collection to interact with.
  • A link for all products available in the digital collection. The products link is the starting point for the Search API.
  • A link for all Advantage accounts associated with the digital collection.
  • A link for the curated lists created by the library or school.
  • The formats supported by the library or school.
  • The enabled platforms for the library or school.

Best practice: You can save yourself some calls by storing the library and Advantage collectionTokens, but don't save them indefinitely. We only recommend storing them for 30 days before refreshing.

The library account products URL is the foundation of the Search API. You’ll use the products link to access the Search API and get hypermedia links to access the Metadata API and Library Availability API.

There are three different kinds of products links, depending on which titles you need to access:

How to find a consortium products link

To find the consortium products link, send a request to the Library Account API with the Library ID. The products link will be in the "links" section. See above for an example response (including the products link) for a consortium account.

Example request

GET https://api.overdrive.com/v1/libraries/4425
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.com

How to find a consortium + Advantage products link

If you want the products link to show both consortium and Advantage titles for a specific library or school, send a request to the advantageAccounts endpoint with the Library ID.

Note: If a library or school doesn't have an Advantage account, they won't show up at the advantageAccount endpoint.

Example request

GET https://api.overdrive.com/v1/libraries/4425/advantageAccounts
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.com

In the response, find the account you need and get the products link from the "links" section.

Example response

200 OK 
Date: Fri, 26 Apr 2024 17:59:17 GMT
X-Content-Type-Options: nosniff
Strict-Transport-Security: max-age=31536000; includeSubDomains
Content-Length: 7332
Content-Type: application/json; charset=utf-8
			
{
	"id": 4425,
	"links": {
		"self": {
			"href": "https://api.overdrive.com/v1/libraries/4425/advantageaccounts",
			"type": "application/vnd.overdrive.api+json"
		}
	},
	"advantageAccounts": [
		{
			"id": 119,
			"name": "OverDrive Advantage Library",
			"type": "Library Advantage Account",
			"collectionToken": "v1L2BBQ0AALkPAAA1U",
			"links": {
				"self": {
					"href": "https://api.overdrive.com/v1/libraries/4425/advantageaccounts/119",
					"type": "application/vnd.overdrive.api+json"
				},
				"products": {
					"href": "https://api.overdrive.com/v1/collections/v1L2BBQ0AALkPAAA1U/products",
					"type": "application/vnd.overdrive.api+json"
				}
			},
			"formats": [
				{
					"id": "ebook-mediado",
					"name": "MediaDo eBook"
				},
				{
					"id": "ebook-kindle",
					"name": "Kindle Book"
				},
				{
					"id": "magazine-overdrive",
					"name": "OverDrive Magazine"
				},
				{
					"id": "ebook-overdrive",
					"name": "OverDrive Read"
				},
				{
					"id": "audiobook-overdrive",
					"name": "OverDrive Listen"
				}
			]
		}
	],
	"totalItems": 1
}

From this response, use the returned collectionToken and products link to get a combination of the Advantage and consortium titles.

How to find an Advantage products link

If you want the products link to show only Advantage titles, make a request to the advantageAccounts endpoint to get the Advantage id for the specific library or school. Then, append the id to your request.

Example request

GET https://api.overdrive.com/v1/libraries/4425/advantageAccounts/119
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.com

The response will look very similar to the consortium-only response but will have a collectionToken and products link specific to the Advantage account.

Curated lists

The lists link in the response will show you the curated lists created by the account. Curated lists are hand-picked lists of titles that libraries and schools build to promote those titles (such as holiday titles or series starters).

Note that this link will not return auto-generated lists or any lists created by OverDrive.

Example request

GET https://api.overdrive.com/v1/libraries/4425/lists
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.com

Example response

200 OK 
Date: Fri, 26 Apr 2024 18:11:09 GMT
X-Content-Type-Options: nosniff
Strict-Transport-Security: max-age=31536000; includeSubDomains
Content-Length: 467
Content-Type: application/json; charset=utf-8

{
	"totalItems": 1,
	"lists": [
		{
			"id": 53247,
			"name": "Metro Public Library Staff Picks",
			"links": {
				"listAtOverDrive": {
					"href": "https://link.overdrive.com?websiteID=100300&collectionId=21391",
					"type": "text/html"
				},
				"listItems": {
					"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/lists/53247",
					"type": "application/vnd.overdrive.api+json"
				}
			}
		}
	],
	"links": {
		"self": {
			"href": "https://api.overdrive.com/v1/libraries/4425/lists",
			"type": "application/vnd.overdrive.api+json"
		}
	}
}

For each curated list, you'll see:

  • The list id
  • The name of the list
  • A listAtOverDrive link to view the list on the library or school's OverDrive website
  • A listItems link that returns the titles included in the list

Enabled platforms

Enabled platforms tell you which OverDrive platforms are associated with the account. This will let you know what type of account it is (e.g., library or school), where to direct users, and what branding to use in your implementation.

The table below shows all the enabled platform values and what they mean.

ValueDescription
LibbyOverDrive's flagship app for public, academic, and corporate libraries. Most OverDrive partner libraries use Libby.
SoraOverDrive's app for K-12 schools. Almost all OverDrive partner schools use Sora.
LexisNexisThe LexisNexis Digital Library. Used primarily by research-based organizations, such as law libraries and academic libraries.
LightningA library's OverDrive website. Most partners promote Libby over their OverDrive website, but the website is available if needed.

In rare cases, you'll see a legacy OverDrive website as the enabled platform. This will display as either DLR (for public libraries), SDL (for schools), CDL (for colleges and academic institutions), or Corporate (for corporations). Legacy OverDrive websites are primarily used by libraries that need support for right-to-left languages.

Seeing Kanopy subscription information

You can use the Kanopy subscription endpoint to see whether a library or school has an active Kanopy subscription. You can also get a link to their Kanopy URL.

Example request

GET https://api.overdrive.com/v1/libraries/4425/kanopyinfo
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.com

Example response

200 OK
Date: Mon, 26 Aug 2024 18:33:14 GMT
X-Content-Type-Options: nosniff
Strict-Transport-Security: max-age=31536000; includeSubDomains
Content-Length: 812
Content-Type: application/json; charset=utf-8


{
	"subscriptions": [
		{
			"id": 83,
			"name": "OverDrive API Integration Library",
			"subscriptionId": "233d1ca9fc0361afc24b4acaa1b89d40",
			"url": "https://www.kanopy.com/en/odintegration",
			"status": "Active",
			"startDate": "2024-08-07T17:24:46Z",
			"endDate": "2025-08-07T05:00:00Z"
		},
		{
			"id": 119,
			"name": "OverDrive Advantage Library",
			"subscriptionId": "265c0a9c8817ce076f5ba4a9b17f035e",
			"url": "https://www.kanopy.com/en/advlibrary",
			"status": "Active",
			"startDate": "2024-07-12T14:58:24Z",
			"endDate": "2025-07-12T05:00:00Z"
		}
	]
}

If you want to see the Kanopy subscription information for an Advantage account, append the Advantage ID to the URL.

Example request

GET https://api.overdrive.com/v1/libraries/4425/kanopyinfo/119
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.com

This will return information for only the individual Advantage account.

Example response

200 OK 
Date: Mon, 26 Aug 2024 19:01:47 GMT
X-Content-Type-Options: nosniff
Strict-Transport-Security: max-age=31536000; includeSubDomains
Content-Length: 239
Content-Type: application/json; charset=utf-8
             
{
	"id": 119,
	"name": "OverDrive Advantage Library",
	"subscriptionId": "265c0a9c8817ce076f5ba4a9b17f035e",
	"url": "https://www.kanopy.com/en/advlibrary",
	"status": "Active",
	"startDate": "2024-07-12T14:58:24Z",
	"endDate": "2025-07-12T05:00:00Z"
}